module.exports = {
	'transform': {
		'^.+\\.tsx?$': 'ts-jest'
	},
	'testRegex': '(/__tests__/.*|(-|/)(test))\\.tsx?$',
	'moduleFileExtensions': [
		'ts',
		'tsx',
		'js',
		'jsx',
		'json',
	],
	'moduleNameMapper': {
		'^documentation(.*)$': '<rootDir>/modules/documentation/src/modules/$1',
		'^@romanjaros/treejs-components(.*)$': '<rootDir>/modules/treejs-components/src/$1',
		'^@romanjaros/treejs-api(.*)$': '<rootDir>/modules/treejs-api/src/$1',
		'^@romanjaros/treejs-auth(.*)$': '<rootDir>/modules/treejs-auth/src/$1',
		'^@romanjaros/treejs-constants(.*)$': '<rootDir>/modules/treejs-constants/src/$1',
		'^@romanjaros/treejs-utils(.*)$': '<rootDir>/modules/treejs-utils/src/$1',
		'^@romanjaros/treejs-forms(.*)$': '<rootDir>/modules/treejs-forms/src/$1',
		'^@romanjaros/treejs-redux(.*)$': '<rootDir>/modules/treejs-redux/src/$1',
		'^@romanjaros/treejs-types(.*)$': '<rootDir>/modules/treejs-types/src/$1',
	},

	// enzyme
	'snapshotSerializers': ['enzyme-to-json/serializer'],
	'setupFilesAfterEnv': ['./modules/enzyme.config.ts'],
};
