import * as React from 'react';
import { render } from 'react-dom';
import { applyMiddleware, createStore, compose } from 'redux';
import { Provider } from 'react-redux';
import thunk from 'redux-thunk'
import { Router } from 'react-router';

import config from '../../../app.config';

import mainReducer from 'documentation/App/reducer';
import App from 'documentation/App/components';
import history from 'documentation/App/utils/history';

import { FetchEndpoint } from '@romanjaros/treejs-api/middleware';

import '@romanjaros/treejs-types/global';


const composeSetup = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__
	? window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__
	: compose;

const store = createStore(
	mainReducer,
	composeSetup(
		applyMiddleware(
			thunk,
			FetchEndpoint({
				BASE_ENDPOINT_URL: config.BASE_ENDPOINT_URL
			}),
		),
	),
);

render(
	<Provider store={store}>
		<Router history={history}>
			<App />
		</Router>
	</Provider>,
	document.getElementById('app'),
);
