import * as React from 'react';

import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';
import Calendar from '@romanjaros/treejs-components/Calendar';

import { generateDocumentationObject } from 'documentation/App/utils/documentation';
import DocTable from 'documentation/App/components/DocTable';

import { groups, children } from '../typedoc.json';

const propDefinition = generateDocumentationObject(groups, children);


const CalendarPage = (): React.ReactElement => (
	<React.Fragment>
		<h2>Calendar</h2>

		<h3>Normal</h3>
		<Grid>
			<GridCol size={3}>
				<Calendar
					name="calendar"
					title="Kalendář"
				/>
			</GridCol>
		</Grid>

		<h4>Props</h4>
		<DocTable propDefinition={propDefinition} />
	</React.Fragment>
);

export default CalendarPage;
