import * as React from 'react';

import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';
import Checkbox from '@romanjaros/treejs-components/Checkbox';

import { generateDocumentationObject } from 'documentation/App/utils/documentation';
import DocTable from 'documentation/App/components/DocTable';

import { groups, children } from '../typedoc.json';

const propDefinition = generateDocumentationObject(groups, children);


const CheckboxPage = (): React.ReactElement => {
	return (
		<React.Fragment>
			<h2>Checkbox</h2>

			<h3>Normal</h3>
			<Grid>
				<GridCol size={3}>
					<Checkbox name="checkbox" title="Checkbox label" />
				</GridCol>
			</Grid>

			<h4>Props</h4>
			<DocTable propDefinition={propDefinition} />
		</React.Fragment>
	);
};

export default CheckboxPage;
