import * as React from 'react';

import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';
import DatePicker from '@romanjaros/treejs-components/DatePicker';

import { generateDocumentationObject } from 'documentation/App/utils/documentation';
import DocTable from 'documentation/App/components/DocTable';

import { groups, children } from '../typedoc.json';

const propDefinition = generateDocumentationObject(groups, children);


const SelectBoxPage = (): React.ReactElement => (
	<React.Fragment>
		<h2>DatePicker</h2>

		<h3>Normal</h3>
		<Grid>
			<GridCol size={3}>
				<DatePicker
					name="datePicker"
					title="Zvolte den"
					value="10.10.2010"
				/>
			</GridCol>
		</Grid>

		<h4>Props</h4>
		<DocTable propDefinition={propDefinition} />
	</React.Fragment>
);

export default SelectBoxPage;
