import { Dispatch } from 'redux';

import { IAction } from '@romanjaros/treejs-types/redux/actions';
import { fetchData } from '@romanjaros/treejs-api/actions';
import { FetchMethod } from '@romanjaros/treejs-api/types';

import { IState } from '../types';
import { ACTIONS, URL } from '../constants';


export const save = (response: any): IAction<IState> => ({
	type: ACTIONS.SAVE,
	payload: response,
});

export const fetch = () => (dispatch: Dispatch) => {
	dispatch(fetchData({
		url: URL,
		method: FetchMethod.get,
		onSuccess: (response) => {
			dispatch(save(response))
		}
	}));
};
