import * as React from 'react';
import { connect } from 'react-redux';

import Button from '@romanjaros/treejs-components/Button';
import { setAuthenticated } from '@romanjaros/treejs-auth/actions';
import { IAuthOption } from '@romanjaros/treejs-auth/types';
import { STATUS } from '@romanjaros/treejs-types/common';

import history from 'documentation/App/utils/history';

import { IAuthPayload } from '../types';


interface IProps {
	children: React.ReactElement;
	setAuthenticated: (option: IAuthOption<IAuthPayload>) => void;
}

export class SignIn extends React.Component<IProps> {
	private authenticate = () => {
		this.props.setAuthenticated({
			authenticated: true,
			accessToken: '',
			refreshToken: '',
			userId: null,
		});
		history.push('/signout');
	}

	public render() {
		return (
			<div>
				<Button title="Sing in" status={STATUS.info} onClick={this.authenticate} />

				<a href="#" onClick={() => history.push('/signout')}>Show sign out page</a>
			</div>
		)
	}
}

export default connect(
	null,
	{
		setAuthenticated,
	}
)(SignIn);