import * as React from 'react';

import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';
import Slider from '@romanjaros/treejs-components/Slider';


const SliderPage = (): React.ReactElement => {
	const [value, setValue] = React.useState(1);

	const handleChange = () => (value: number) => {
		setValue(value);
	}

	return (
		<React.Fragment>
			<h2>Slider</h2>

			<h3>Normal</h3>
			<Grid>
				<GridCol size={3}>
					<Slider min={1} max={10} value={value} onChange={handleChange()} />
				</GridCol>
			</Grid>
		</React.Fragment>
	);
}

export default SliderPage;
