import * as React from 'react';

import Table from '@romanjaros/treejs-components/Table';
import { ITableCol, ITableRow } from '@romanjaros/treejs-components/Table/types';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';


const arrow = <FontAwesomeIcon icon="arrow-alt-circle-right" />

const cols: ITableCol = {
	company: { title: 'Company' },
	contact: { title: 'Contact' },
	country: { title: 'Country' },
	action: { title: '' },
}

const rows: ITableRow[] = [
	{
		company: { title: 'Alfreds Futterkiste' },
		contact: { title: 'Maria Anders' },
		country: { title: 'Germany' },
		action: { component: arrow },
	},
	{
		company: { title: 'Centro comercial Moctezuma' },
		contact: { title: 'Francisco Chang' },
		country: { title: 'Mexico' },
		action: { component: arrow },
	}
];

const TablePage = (): React.ReactElement => (
	<React.Fragment>
		<h2>Table</h2>

		<h3>Normal</h3>
		<Table cols={cols} rows={rows} />
	</React.Fragment>
);

export default TablePage;
