import { IAction } from '@romanjaros/treejs-types/redux/actions';

import { AuthActions } from '../constants';
import { IAuthState, IAuthReducer } from '../types';


const initialState: IAuthReducer<{}> = {
	authenticated: false,
	accessToken: null,
	refreshToken: null,
	userId: null,
};

type payloadType = IAuthState<{}>;

const reducer = (state = initialState, { type, payload }: IAction<payloadType>): IAuthReducer<{}> => {
	switch (type) {
		case AuthActions.SET_AUTHENTICATE:
			return {
				...state,
				...payload,
			};
		default:
			return state
	}
};

export default reducer;
