import { createSelector } from 'reselect';
import { prop } from 'ramda';

import { MAIN_REDUCER_NAME, AUTH_REDUCER_NAME } from '@romanjaros/treejs-constants/redux/reducers';

import { IAuthState } from '../types';


export const getRoot = <P>(state: any): IAuthState<P> => state[MAIN_REDUCER_NAME][AUTH_REDUCER_NAME];

export const isAuthenticated = createSelector(
	getRoot,
	(state): boolean => prop('authenticated')(state)
)