import * as React from 'react';

import { STATUS } from '@romanjaros/treejs-types/common';

import { StyledButton } from './style';


interface IProps<V = boolean> {
	disabled?: boolean;
	onClick?: () => void;
	status?: STATUS;
	title: string;
	type?: "submit" | "reset";
}

class Button extends React.PureComponent<IProps<string>> {
	private handleOnClick = () => {
		if (this.props.onClick instanceof Function) {
			this.props.onClick();
		}
	};

	public render(): React.ReactElement {
		const {
			title,
		} = this.props;

		return (
			<StyledButton
				onClick={this.handleOnClick}
				disabled={this.props.disabled}
				status={this.props.status}
				type={this.props.type}
			>
				{title}
			</StyledButton>
		);
	}
}

export default Button;
