import { STATUS } from '@romanjaros/treejs-types/common';

import styled, { css } from '../styled';


interface IButtonStyle {
	status: STATUS;
}


export const StyledButton = styled.button<IButtonStyle>`
	border: none;
	border-radius: 3px;

	width: 100%;

	padding: 10px 20px;

	color: ${(p) => p.theme.black};
	background-color: ${(p) => p.theme.disableColor};

	outline: none;

	${(p) => p.status === STATUS.info && css`
		color: ${(p) => p.theme.white};
		background-color: ${p.theme.infoColor};
	`};

	${(p) => p.status === STATUS.success && css`
		color: ${(p) => p.theme.white};
		background-color: ${p.theme.successColor};
	`};

	${(p) => p.status === STATUS.warning && css`
		color: ${(p) => p.theme.white};
		background-color: ${p.theme.warningColor};
	`};

	${(p) => p.status === STATUS.error && css`
		color: ${(p) => p.theme.white};
		background-color: ${p.theme.errorColor};
	`};

	text-transform: uppercase;

	font-size: 13px;
	font-family: Lato, sans-serif;

	cursor: pointer;

	&:disabled {
		cursor: not-allowed;

		box-shadow: 0 0;

		color: whitesmoke;
	}
`;
