import styled, { css } from '../styled';


interface IStyleSelectedBoxOptions {
	isActive: boolean;
	isSelected: boolean;
}


export const StyledSelectBox = styled.div`
	.TextField {
		cursor: text;
	}
`;

export const StyledSelectBoxOptions = styled.div<IStyleSelectedBoxOptions>`
	&:hover {
		cursor: pointer;
	}
	
	${(p) => p.isActive && css`
		background-color: ${(p) => p.theme.gray};
		color: ${(p) => p.theme.primaryColor};
	`}
	
	${(p) => p.isSelected && css`
		background-color: ${(p) => p.theme.primaryColor};
		color: ${(p) => p.theme.secondaryColor};
	`}
	
	padding: 10px;
`;
