import styled from '../styled';


interface IGrid {
	horizontalAlign?: HORIZONTAL_ALIGN;
}

export const Grid = styled.div.attrs({
	className: 'Grid'
})<IGrid>`
	display: flex;
	flex-wrap: wrap;

	min-height: 50px;

	justify-content: ${(p) => p.horizontalAlign};
`;

export enum HORIZONTAL_ALIGN {
	LEFT = 'flex-start',
	CENTER = 'center',
	RIGHT = 'flex-end',
	MIDDLE = 'space-around',
	EDGE = 'space-between',
}

interface IGridCol {
	size: number;
}

export const GridCol = styled.div.attrs({
	className: 'GridCol'
})<IGridCol>`
	margin: 5px;

	align-self: flex-start;

	width: calc(100% - 10px);

	@media only screen and (min-width: ${(p) => p.theme.tabletScreenSize}px) {
		width: calc(${(p) => 100 / 6 * p.size}% - 10px);
	}

	@media only screen and (min-width: ${(p) => p.theme.mediumScreenSize}px) {
		width: calc(${(p) => 100 / 10 * p.size}% - 10px);
	}

	@media only screen and (min-width: ${(p) => p.theme.largeScreenSize}px) {
		width: calc(${(p) => 100 / 12 * p.size}% - 10px);
	}
`;
