import { dissoc } from 'ramda';

import { IAction } from '@romanjaros/treejs-types/redux/actions';

import { ModalActions } from '../constants';
import { IModalState, IModalReducer } from '../types';


const initialState: IModalReducer = {};

type payloadType = IModalState;

const reducer = (state = initialState, { type, payload }: IAction<payloadType>): IModalReducer => {
	switch (type) {
		case ModalActions.ADD_MODAL:
			return {
				...state,
				[payload.name]: {
					visible: true,
					...payload,
				},
			};
		case ModalActions.REMOVE_MODAL:
			return dissoc(payload.name, state);
		default:
			return state
	}
};

export default reducer;
