import styled from '../styled';


export const StyledRadioButton = styled.div`
	position: relative;

	margin-top: 3px;
`;

export const StyledRadioButtonTitle = styled.div`
	display: block;
	color: ${(p) => p.theme.black};
	padding-bottom: 10px;
	font-size: 13px;
`;


interface IStyledRadioButtonItem {
	horizontal: boolean;
}

export const StyledRadioButtonItem = styled.div<IStyledRadioButtonItem>`
	margin: ${(p) => p.horizontal ? '0 0 0 10px' : '0 0 10px 0'};
	display: ${(p) => p.horizontal ? 'inline-block' : 'block'};

	&:nth-child(2) {
		margin: ${(p) => p.horizontal ? '0' : '0 0 10px 0'};
	}

	& input[type=radio] {
		display: none;
	}

	& label {
		cursor: pointer;
		color: ${(p) => p.theme.primaryColor};
	}

	& span {
		margin-left: 5px;
		color: ${(p) => p.theme.black};
	}
`;
