import styled from '../styled';


export const StyledTable = styled.div`
	margin: 0 0 40px 0;
	width: 100%;

	display: table;

	@media only screen and (max-width: ${(p) => p.theme.tabletScreenSize}px) {
		display: block;
	}
`;

export const StyledTableRow = styled.div`
	display: table-row;

	&:nth-of-type(odd) {
		background: ${(p) => p.theme.gray};
	}

	&:last-child .TableCell {
		border-bottom: 1px solid ${(p) => p.theme.primaryColor};
	}

	@media only screen and (max-width: ${(p) => p.theme.tabletScreenSize}px) {
		padding: 14px 0 7px;

		display: block;

		border: none;

		&:nth-of-type(odd) {
			background: transparent;
		}

		&:nth-of-type(even) {
			background: ${(p) => p.theme.gray};
		}
	}
`;

export const StyledTableHeaderRow = styled.div`
	display: table-row;

	background-color: ${(p) => p.theme.primaryColor} !important;
	color: ${(p) => p.theme.white};

	@media only screen and (max-width: ${(p) => p.theme.tabletScreenSize}px) {
		display: none;
	}
`;

export const StyledTableCell = styled.div.attrs({
	className: 'TableCell',
})`
	padding: 15px;

	display: table-cell;

	&:first-child {
		border-left: 1px solid ${(p) => p.theme.primaryColor};
	}

	&:last-child {
		border-right: 1px solid ${(p) => p.theme.primaryColor};
	}

	@media only screen and (max-width: ${(p) => p.theme.tabletScreenSize}px) {
		display: block;

		border: none !important;

		&:before {
			content: attr(data-title);

			display: block;

			margin-bottom: 3px;
			min-width: 98px;

			font-weight: bold;
			font-size: 10px;

			text-transform: uppercase;

			color: ${(p) => p.theme.primaryColor};
		}
	}
`;