import { STATUS } from '@romanjaros/treejs-types/common';
import { isNilOrEmpty } from '@romanjaros/treejs-utils';

import { IToasterId, IToasterOption } from '../types';

import { ToasterActions } from '../constants';
import { Dispatch } from 'redux';


const timeouts: { [key: string]: any } = [];

export const closeToaster = (name: IToasterId) => (dispatch: Dispatch) => {
	timeouts[name] = null;
	dispatch({
		type: ToasterActions.REMOVE_TOASTER,
		payload: {
			name,
		}
	});
};

export const addToaster = (options: IToasterOption): any => (dispatch: Dispatch<any>) => {
	if (!isNilOrEmpty(timeouts[options.name])) {
		clearTimeout(timeouts[options.name]);
	}

	timeouts[options.name] = setTimeout(() => {
		dispatch(closeToaster(options.name));
	}, options.timeout || 4000);

	dispatch({
		type: ToasterActions.ADD_TOASTER,
		payload: {
			status: STATUS.none,
			timeout: 4000,
			...options,
		}
	});
};
