import * as React from 'react';
import { connect } from 'react-redux';

import { STATUS } from '@romanjaros/treejs-types/common';

import Button from '../../Button';

import { addToaster } from '../actions';
import { IToasterState } from '../types';


interface IProps extends IToasterState {
	addToaster: (options: IToasterState) => void;
	message: string;
	status?: STATUS;
	title: string;
}

const AddToasterButton = (props: IProps): React.ReactElement => {
	const {
		name,
		title,
		status,
		message,
	} = props;

	const handleClick = (): void => {
		props.addToaster({ name, status, message });
	};

	return (
		<Button title={title} onClick={handleClick} status={status} />
	);
};

export default connect(
	null,
	{
		addToaster: addToaster,
	}
)(AddToasterButton);
