import { dissoc } from 'ramda';

import { IAction } from '@romanjaros/treejs-types/redux/actions';

import { ToasterActions } from '../constants';
import { IToasterState, IToasterReducer } from '../types';


const initialState: IToasterReducer = {};

type payloadType = IToasterState;

const reducer = (state = initialState, { type, payload }: IAction<payloadType>): IToasterReducer => {
	switch (type) {
		case ToasterActions.ADD_TOASTER:
			return {
				...state,
				[payload.name]: {
					...payload,
				},
			};
		case ToasterActions.REMOVE_TOASTER:
			return dissoc(payload.name, state);
		default:
			return state
	}
};

export default reducer;
