import { STATUS } from '@romanjaros/treejs-types/common';

import styled, { css } from '../../styled';


export const StyledToasterContainer = styled.div`
	position: fixed;
	z-index: 9;
	bottom: 0px;
	left: 0;
	right: 0;
`;

interface IStyledToaster {
	status: STATUS;
}

export const StyledToaster = styled.div.attrs({
	className: 'Toaster',
})<IStyledToaster>`
	min-width: 350px;

	padding: 16px;

	background-color: ${(p) => p.theme.black};
	color: ${(p) => p.theme.white};

	${(p) => p.status === STATUS.info && css`
		background-color: ${(p) => p.theme.infoColor};
		color: ${(p) => p.theme.white};
	`};

	${(p) => p.status === STATUS.success && css`
		background-color: ${(p) => p.theme.successColor};
		color: ${(p) => p.theme.white};
	`};

	${(p) => p.status === STATUS.warning && css`
		background-color: ${(p) => p.theme.warningColor};
		color: ${(p) => p.theme.white};
	`};

	${(p) => p.status === STATUS.error && css`
		background-color: ${(p) => p.theme.errorColor};
		color: ${(p) => p.theme.white};
	`};

	text-align: center;

	border-radius: 2px;

	margin-bottom: 5px;
`;
