import * as React from 'react';
import { FormikErrors, FormikActions } from 'formik';


export interface IHTMLElement<Value> {
	name: string;
	onBlur?: (value: Value, e: React.FocusEvent) => void;
	onChange?: (value: Value, e: React.MouseEvent | React.ChangeEvent) => void;
	onClick?: (value: Value, e: React.MouseEvent) => void;
	onFocus?: (value: Value, e: React.FocusEvent) => void;
	title: string;
}

export type FormActions<FormValues> = FormikActions<FormValues>
export type FormErrors<FormValues> = FormikErrors<FormValues>;

export interface IForm<FormValues> {
	getInitialValues: () => FormValues;
	handleSubmit: (values: FormValues, actions: FormActions<FormValues>) => void;
	handleValidate?: (values?: FormValues) => FormErrors<FormValues>;
	validationSchema: any;
}
